Cyberduck Mountain Duck CLI

#6650 closed defect (wontfix)

Error on status 150 with FTP connection

Reported by: d.a. Owned by:
Priority: high Milestone:
Component: ftp Version: Nightly Build
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by dkocher)

When trying to connect to my TV set top box via FTP, which was working fine earlier, I get this error:

FTP Fehler: 150 File status okay; about to open data connection

and I could only choose between Cancel and Retry. When clicking Retry, the error does not come up again but I am also not connected. I am quite sure that this worked in pre-4.2 version, but I cannot tell for sure when it stopped working properly. Here is the transcript from the log drawer:

220 Service ready for new user
FEAT
530 Not logged in
USER root
331 User name okay, need password
PASS ********
230 User logged in, proceed. Logged out if appropriate
NOOP
530 Not logged in
SYST
215 UNIX system type
STAT /ftproot
211 System status, or system help reply
CWD /ftproot
150 File status okay; about to open data connection
PWD

Change History (4)

comment:1 Changed on May 9, 2012 at 9:39:59 AM by dkocher

  • Component changed from core to ftp
  • Resolution set to thirdparty
  • Status changed from new to closed

The server is responding with a wrong status code to CWD. The response code should be in the range between 200 and 300.

comment:2 Changed on May 9, 2012 at 8:40:10 PM by d.a.

  • Architecture set to Intel
  • Resolution thirdparty deleted
  • Status changed from closed to reopened

It might well be that the server responds with a wrong status code.
But as said I was able to connect with a previous version of CyberDuck.
And FileZilla is able to connect, although the command sequence seems to be a little bit different:

Antwort:	220 Service ready for new user
Befehl:	USER root
Antwort:	331 User name okay, need password
Befehl:	PASS ****
Antwort:	230 User logged in, proceed. Logged out if appropriate
Befehl:	SYST
Antwort:	215 UNIX system type
Befehl:	FEAT
Antwort:	502 Command not implemented
Status:	Verbunden
Status:	Empfange Verzeichnisinhalt...
Befehl:	PWD
Antwort:	257 "/ftproot/" created
Befehl:	TYPE I
Antwort:	200 Command okay
Befehl:	PASV
Antwort:	227 Entering Passive Mode (192,168,178,5,200,224)
Befehl:	LIST
Antwort:	150 File status okay; about to open data connection
Antwort:	226 Closing data connection
Status:	Anzeigen des Verzeichnisinhalts abgeschlossen

Could you please check again if there is a way to make this work again?
I would love to use CyberDuck because its usability is much better than any other solution.

comment:3 Changed on May 10, 2012 at 8:07:47 AM by dkocher

  • Description modified (diff)

comment:4 Changed on Sep 26, 2012 at 2:38:24 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software